Package com.plannaplan.controllers

# Class DeveloperController

java.lang.Object
com.plannaplan.controllers.DeveloperController

    @RestController
    @CrossOrigin
    @RequestMapping("/api/v1/developer")
    public class DeveloperController
    extends java.lang.Object

Rest controller to enpoint that help deveopler test the app

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`DeveloperController()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`org.springframework.http.ResponseEntity<java.lang.String>` | `performAcceptAlgorythm()` |
`org.springframework.http.ResponseEntity<java.lang.String>` | `performExchangeAlgorythm()` |
`org.springframework.http.ResponseEntity<java.lang.String>` | `setFirstTour()` |
`org.springframework.http.ResponseEntity<java.lang.String>` | `setNoTour()` |
`org.springframework.http.ResponseEntity<java.lang.String>` | `setSecondTour()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeveloperController

public DeveloperController()

## Method Details

### performAcceptAlgorythm

@PreAuthorize("hasRole(\'ROLE_DEVELOPER\')") @PostMapping(path="/algorythm/accept") public org.springframework.http.ResponseEntity<java.lang.String> performAcceptAlgorythm()

Returns:
  if accept algorythm was perfomed

### performExchangeAlgorythm

@PreAuthorize("hasRole(\'ROLE_DEVELOPER\')") @PostMapping(path="/algorythm/exchange") public org.springframework.http.ResponseEntity<java.lang.String> performExchangeAlgorythm()

Returns:
  if exchange algorythm was perfomed

### setFirstTour

@PreAuthorize("hasRole(\'ROLE_DEVELOPER\')") @PostMapping(path="/tours/first") public org.springframework.http.ResponseEntity<java.lang.String> setFirstTour()

Returns:
  if tour was set

### setSecondTour

@PreAuthorize("hasRole(\'ROLE_DEVELOPER\')") @PostMapping(path="/tours/second") public org.springframework.http.ResponseEntity<java.lang.String> setSecondTour()

Returns:
  if tour was set

### setNoTour

@PreAuthorize("hasRole(\'ROLE_DEVELOPER\')") @PostMapping(path="/tours/no") public org.springframework.http.ResponseEntity<java.lang.String> setNoTour()

Returns:
  if tour was set